purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Linter.Exhaustive

Description

Module for exhaustivity checking over pattern matching definitions The algorithm analyses the clauses of a definition one by one from top to bottom, where in each step it has the cases already missing (uncovered), and it generates the new set of missing cases.

Synopsis

- checkExhaustiveExpr :: MonadWriter MultipleErrors m => SourceSpan -> Environment -> ModuleName -> Expr -> m Expr

# Documentation

checkExhaustiveExpr :: MonadWriter MultipleErrors m => SourceSpan -> Environment -> ModuleName -> Expr -> m Expr #

Exhaustivity checking